import java.util.Random;
import java.text.SimpleDateFormat;
import java.util.TimeZone;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Crossroads extends JFrame implements MouseListener, MouseMotionListener
{
   
    private int anzahl;
    private int[] lichter;
    int[] taster;
    private static Crossroads hardware;
    int x,y;
    boolean ende;
   
    public static Crossroads getHardware(){
        if (hardware == null){
            hardware=new Crossroads();
        }
        return hardware;
    }
    

    private Crossroads()
    {
        super("Strassenkreuzung");
        setSize(850,650);
        ende=false;
        lichter=new int[30];
        taster=new int[8];
        for (int i=0; i<30; i++){lichter[i]=0;}
        for (int i=0; i<8; i++){taster[i]=0;}        
		addMouseListener(this);
		addMouseMotionListener(this);
      
        add(new PicturePanel(lichter, taster, this));
      //  add(myPanel);
      //  pack();
     //   setLocationRelativeTo(null);

        
		setVisible(true);
       
    }
    
    public  void lampeAn(int i){
        lichter[i-1]=1;
        repaint();
    }
    
    public boolean getEnde(){
        return ende;
    }
    
    public  void lampeAus(int i){
        lichter[i-1]=0;
        repaint();
    }

    public void warte(int ms){
	  try {Thread.sleep(ms);} catch (Exception e){}

    }
    
    public void mouseExited(MouseEvent e){}
    public void mouseReleased(MouseEvent e){}
    public void mouseEntered(MouseEvent e){}
    public void mousePressed(MouseEvent e){}
    public void mouseDragged(MouseEvent e){}
    public void mouseMoved(MouseEvent e){
      x=e.getPoint().x;
      y=e.getPoint().y;
   //   setTitle("X:"+x+" Y:"+y);
   //   repaint();
    }  
    
    public void mouseClicked(MouseEvent e){
      if ((x>253) && (x<289) && (y>116) && (y<155)) taster[0]=1; else // 1
      if ((x>534) && (x<570) && (y>117) && (y<153)) taster[1]=1; else // 2
      if ((x>194) && (x<232) && (y>203) && (y<239)) taster[2]=1; else // 3
      if ((x>193) && (x<229) && (y>485) && (y<521)) taster[3]=1; else // 4
      if ((x>621) && (x<656) && (y>175) && (y<211)) taster[4]=1; else // 5
      if ((x>623) && (x<660) && (y>458) && (y<493)) taster[5]=1; else // 6
      if ((x>281) && (x<316) && (y>545) && (y<579)) taster[6]=1; else // 7
      if ((x>565) && (x<599) && (y>544) && (y<579)) taster[7]=1; else // 8
      if ((x>328) && (x<524) && (y>244) && (y<448)) ende=true;
      repaint();
    }    
}
    




